// AtlHelloDll.idl : IDL source for AtlHelloDll.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (AtlHelloDll.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(DBA21E81-5B4C-474B-9D71-16AE917D64BA),
		dual,
		helpstring("IAtlHello Interface"),
		pointer_default(unique)
	]
	interface IAtlHello : IDispatch
	{
		[propget, id(1), helpstring("property HelloMessage")] HRESULT HelloMessage([out, retval] BSTR *pVal);
		[propput, id(1), helpstring("property HelloMessage")] HRESULT HelloMessage([in] BSTR newVal);
		[id(2), helpstring("method SayHello")] HRESULT SayHello();
	};

[
	uuid(20F0EB88-76FC-41CD-88DE-4DE29FA15493),
	version(1.0),
	helpstring("AtlHelloDll 1.0 Type Library")
]
library ATLHELLODLLLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(5BA36C8F-FF92-4710-A71C-4C89843D5199),
		helpstring("AtlHello Class")
	]
	coclass AtlHello
	{
		[default] interface IAtlHello;
	};
};
